Bug 7454 - postuninstall scriptlet is utterly broken
: postuninstall scriptlet is utterly broken
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hal)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-07-24 22:31 by
Modified: 2007-04-06 15:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-24 22:31:13
$ rpmquery -p --scripts i586/RPMS/hal-0.5.3-alt4.i586.rpm 
preinstall scriptlet (through /bin/sh):
# Add the "haldaemon" user
/usr/sbin/useradd -c 'HAL daemon' \
        -s /sbin/nologin -r -d '/' haldaemon 2> /dev/null || :
postinstall scriptlet (through /bin/sh):
/usr/sbin/post_service hal
preuninstall scriptlet (through /bin/sh):
/usr/sbin/preun_service hal
postuninstall scriptlet (through /bin/sh):

The %postun scriptlet is not needed at all.
[ -x /etc/rc.d/init.d/hal ] && /etc/rc.d/init.d/hal condrestart
Steps to Reproduce:
rpmi -e hal
Actual Results:  
error: execution of %postun scriptlet from hal-0.5.3-alt4 failed, exit status 1
------- Comment #1 From 2005-08-03 13:02:02 -------
fixed (hal-0.5.3-alt6)